class PlayerModel {
  final String atleteName;
  //final DateTime dateBirth;
  final String atleteHeight;
  final String atleteWeight;
  final String atleteBid;
  final String dominantLeg;
  final String position;
  final String adress;
  final String adressCity;
  final String adressState;
  final String medicalIssues;

  PlayerModel({
    required this.atleteName, 
    required this.atleteHeight, 
    required this.atleteWeight, 
    required this.atleteBid, 
    required this.dominantLeg, 
    required this.position, 
    required this.adress, 
    required this.medicalIssues, 
    required this.adressCity, 
    required this.adressState
  });

  factory PlayerModel.fromJson(Map json) {
    return PlayerModel(
      atleteName: json['atleteName'], 
      //dateBirth : json['dateBirth'],
      atleteHeight : json['atleteHeight'].toString(), 
      atleteWeight : json['atleteWeight'].toString(), 
      atleteBid : json['atleteBid'].toString(), 
      dominantLeg : json['dominantLeg'], 
      position : json['position'], 
      adress : "", 
      medicalIssues : "",
      adressCity : "",
      adressState : ""
    );
  }

  static Map<String, dynamic> toJson(PlayerModel instance) =>
    <String, dynamic>{
      'atleteName': instance.atleteName,
      'atleteHeight': instance.atleteHeight,
      'atleteWeight': instance.atleteWeight,
      'atleteBid': instance.atleteBid,
      'dominantLeg': instance.dominantLeg,
      'position': instance.position,
      'adress': adressToJson(instance),
      'atleteDeceases': instance.medicalIssues,
    };

  static Map<String, dynamic> adressToJson(PlayerModel instance) =>
    <String, dynamic>{
      'streetInfo': instance.adress,
      'city': instance.adressCity,
      'state': instance.adressState
    };
}
