// ignore_for_file: prefer_const_constructors

import 'package:flutter/material.dart';
import 'package:joinfut/pages/player_profile_page.dart';
import 'package:joinfut/pages/player_register_page.dart';
import 'package:joinfut/pages/team_register_page.dart';
import '../widgets/Standard_button.dart';
import 'create_user_page.dart';

class SelectUserTypePage extends StatelessWidget {
  const SelectUserTypePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      body: ListView(
        children: <Widget>[
          SizedBox(
            height: 70,
          ),
          SizedBox(
              child: Image.asset('assets/images/logo_appbar.jpg',
                  height: 60, fit: BoxFit.contain)),
          SizedBox(height: 100),
          Padding(
            padding: const EdgeInsets.all(50.0),
            child: Column(
              children: [
                SizedBox(
                  width: double.infinity,
                  child: ElevatedButton(
                    style: ElevatedButton.styleFrom(
                      primary: Color.fromARGB(255, 252, 182, 9),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(50),
                      ),
                    ),
                    onPressed: () => Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => const /*CreateUserPage(type: 'Player',)*/ PlayerRegisterPage()),
                    ),
                    child: Text(
                      "SOU UM JOGADOR",
                      style: const TextStyle(color: Colors.black, fontSize: 17),
                    ),
                  ),
                ),
                SizedBox(
                  width: double.infinity,
                  child: ElevatedButton(
                    style: ElevatedButton.styleFrom(
                      primary: Color.fromARGB(255, 252, 182, 9),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(50),
                      ),
                    ),
                    onPressed: () => Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => const /*CreateUserPage(type: 'Team',)*/TeamRegisterPage()),
                    ),
                    child: Text(
                      "SOU UM CLUBE",
                      style: const TextStyle(color: Colors.black, fontSize: 17),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
